//---------------------------------------------------------------------------
#ifndef VM_MainH
#define VM_MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include "cgauges.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TMainMenu *MainMenu1;
  TMenuItem *File1;
  TMenuItem *OpenROMfile1;
  TMenuItem *Exit1;
  TMenuItem *Program1;
  TOpenDialog *FOpen1;
  TMenuItem *OpenPointerFile1;
  TMenuItem *OpenTablefile1;
  TListBox *vmPointers;
  TMemo *vmText;
  TMenuItem *N2;
  TSaveDialog *FSave1;
  TMenuItem *Dumpallscriptstotextfiles1;
  TCGauge *CGBar;
  TMenuItem *FindInternalScripts1;
  TListBox *vmLabels;
  void __fastcall Exit1Click(TObject *Sender);
  void __fastcall OpenROMfile1Click(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall OpenPointerFile1Click(TObject *Sender);
  void __fastcall vmPointersDblClick(TObject *Sender);
  void __fastcall OpenTablefile1Click(TObject *Sender);
  void __fastcall Dumpallscriptstotextfiles1Click(TObject *Sender);
  void __fastcall FindInternalScripts1Click(TObject *Sender);
  void __fastcall vmLabelsMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall vmPointersMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  
private:	// User declarations
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);

  LONG __fastcall VirtuaMachine( );
  void __fastcall DecodeTextData( LONG lpOffset, FILE *tf );

  bool isRunning;
  AnsiString vmTextData;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif






